com.atid.lib.module.barcode.ssi.type

## Enum MSICheckDigitAlgorithm

- java.lang.Object
- - java.lang.Enum<MSICheckDigitAlgorithm>
  - - com.atid.lib.module.barcode.ssi.type.MSICheckDigitAlgorithm

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<MSICheckDigitAlgorithm>

      public enum MSICheckDigitAlgorithm
      extends java.lang.Enum<MSICheckDigitAlgorithm>
      implements IEnumType

  Two algorithms are possible for the verification of the second MSI check digit. Select the bar code below corresponding to the algorithm used to encode the check digit.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Mod10`
    `Mod11`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static MSICheckDigitAlgorithm` | `valueOf(int code)`
    `static MSICheckDigitAlgorithm` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MSICheckDigitAlgorithm[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Mod11

          public static final MSICheckDigitAlgorithm Mod11

    - #### Mod10

          public static final MSICheckDigitAlgorithm Mod10

  - ### Method Detail

    - #### values

          public static MSICheckDigitAlgorithm[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MSICheckDigitAlgorithm c : MSICheckDigitAlgorithm.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MSICheckDigitAlgorithm valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<MSICheckDigitAlgorithm>`

    - #### valueOf

          public static MSICheckDigitAlgorithm valueOf(int code)